define([
], function (
) {
    return function(updateHash) {
        var params = new URLSearchParams(window.location.search);
        var context = params.get("context");
        var project = params.get("project");
        if (!context || !project) {
            return;
        }

        params.delete("context");
        params.delete("project");
        var queryString = params.toString();
        if (queryString) {
          queryString = "?" + queryString;
        }

        window.history.pushState({}, document.title, window.location.pathname + queryString);
        if (updateHash) {
            window.location.hash = "#context=epi.cms.contentdata:///" + context + "&project=" + project + ":///";
        }
    }
});
